CVE-2006-1479
CVSS4.3
发布时间 :2006-03-28 20:06:00
修订时间 :2011-03-07 21:33:10
NMCOS    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in Serge Rey gtd-php (aka Getting Things Done) 0.5 allow remote attackers to inject arbitrary web script or HTML via the Description field in (1) newProject.php, (2) newList.php, and (3) newWaitingOn.php; the Title field in (4) newProject.php, (5) newList.php, (6) newWaitingOn.php, (7) newChecklist.php, (8) newContext.php, and (9) newGoal.php; the (10) Category Name field in newCategory.php; the (11) listTitle field in listReport.php; the (12) projectName field in projectReport.php; and the (13) checklistTitle field in checklistReport.php.


[CNNVD]GTD-PHP多个输入验证漏洞(CNNVD-200603-433)

        在Serge Rey gtd-php (又称"完成活计") 0.5中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过以下途径注入任意web和HTML:在(1) newProject.php,(2) newList.php,和(3) newWaitingOn.php中的描述字段;在(4) newProject.php,(5) newList.php,(6) newWaitingOn.php,(7) newChecklist.php,(8) newContext.php,和(9) newGoal.php中的Title字段;在newCategory.php中的(10) Category Name字段;在listReport.php中的(11) listTitle字段;在projectReport.php中的(12) projectName字段;和在checklistReport.php中的(13) checklistTitle字段。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1479
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1479
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-433
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1203
(UNKNOWN)  VUPEN  ADV-2006-1203
http://www.osvdb.org/24158
(UNKNOWN)  OSVDB  24158
http://www.osvdb.org/24157
(UNKNOWN)  OSVDB  24157
http://www.osvdb.org/24156
(UNKNOWN)  OSVDB  24156
http://www.osvdb.org/24155
(UNKNOWN)  OSVDB  24155
http://www.osvdb.org/24154
(UNKNOWN)  OSVDB  24154
http://www.osvdb.org/24153
(UNKNOWN)  OSVDB  24153
http://www.osvdb.org/24152
(UNKNOWN)  OSVDB  24152
http://www.osvdb.org/24151
(UNKNOWN)  OSVDB  24151
http://www.osvdb.org/24150
(UNKNOWN)  OSVDB  24150
http://www.osvdb.org/24149
(UNKNOWN)  OSVDB  24149
http://osvdb.org/ref/24/24149-gtd-php.txt
(UNKNOWN)  MISC  http://osvdb.org/ref/24/24149-gtd-php.txt
http://xforce.iss.net/xforce/xfdb/25553
(UNKNOWN)  XF  gtdphp-multiple-scripts-xss(25553)
http://www.securityfocus.com/bid/17366
(UNKNOWN)  BID  17366
http://secunia.com/advisories/19512
(UNKNOWN)  SECUNIA  19512

- 漏洞信息

GTD-PHP多个输入验证漏洞
中危 跨站脚本
2006-03-28 00:00:00 2006-03-29 00:00:00
远程  
        在Serge Rey gtd-php (又称"完成活计") 0.5中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过以下途径注入任意web和HTML:在(1) newProject.php,(2) newList.php,和(3) newWaitingOn.php中的描述字段;在(4) newProject.php,(5) newList.php,(6) newWaitingOn.php,(7) newChecklist.php,(8) newContext.php,和(9) newGoal.php中的Title字段;在newCategory.php中的(10) Category Name字段;在listReport.php中的(11) listTitle字段;在projectReport.php中的(12) projectName字段;和在checklistReport.php中的(13) checklistTitle字段。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        gtd-php gtd-php 0.5
        gtd-php gtd-php 0.8 beta
        https://www.hosted-projects.com/trac/toae/gtdphp/changeset/latest/branches/installv08?old_path=%2F&format=zip

- 漏洞信息

24149
gtd-php newProject.php Multiple Field XSS
Remote / Network Access Input Manipulation
Loss of Integrity Solution Unknown
Exploit Public RBS Confirmed, Uncoordinated Disclosure

- 漏洞描述

gtd-php contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the Project Name or Description field ('name' and 'description' variables) upon submission to the newProject.php script. The script code is rendered when the listProjects.php is called. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-03-27 2006-03-18
2006-03-27 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

GTD-PHP Multiple Input Validation Vulnerabilities
Input Validation Error 17366
Yes No
2006-04-03 12:00:00 2007-12-18 08:06:00
Jericho is credited with the discovery of these vulnerabilities.

- 受影响的程序版本

gtd-php gtd-php 0.5
gtd-php gtd-php 0.8 beta

- 不受影响的程序版本

gtd-php gtd-php 0.8 beta

- 漏洞讨论

The 'gtd-php' application is prone to multiple input-validation vulnerabilities. These issues are due to a failure in the application to properly sanitize user-supplied input.

An attacker can exploit these issues to execute arbitrary HTML and script code in the browser of a victim user in the context of the affected website. This may allow the attacker to steal cookie-based authentication credentials, to control how the site is rendered to the user, and to launch other attacks.

- 漏洞利用

These issues can be exploited via a web client.

- 解决方案

The vendor released an update to address this issue. Please see the references for more information.vuldb@securityfocus.com


gtd-php gtd-php 0.5

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站